curl and libcurl 8.9.0

 Public curl releases:         258
 Command line options:         263
 curl_easy_setopt() options:   306
 Public functions in libcurl:  94
 Contributors:                 3211

This release includes the following changes:

 o curl: add --ip-tos (IP Type of Service / Traffic Class) [42]
 o curl: add --mptcp [29]
 o curl: add --vlan-priority [107]
 o curl: add -w '%{num_retries} [65]
 o gnutls: support CA caching [90]
 o mbedtls: support CURLOPT_CERTINFO [116]
 o noproxy: patterns need to be comma separated [75]
 o socket: support binding to interface *AND* IP [80]
 o tcpkeepalive: add CURLOPT_TCP_KEEPCNT and --keepalive-cnt [103]
 o urlapi: add CURLU_NO_GUESS_SCHEME [72]
 o wolfssl: support CA caching [73]

This release includes the following bugfixes:

 o (lib)curl.rc: set debug flag also for `CURLDEBUG` and `UNITTESTS` [2]
 o asyn-thread: avoid using GetAddrInfoExW with impersonation [7]
 o aws-sigv4: url encode the canonical path [55]
 o BINDINGS: update java link to one that exists [115]
 o build: add Debug, TrackMemory, ECH to feature list [218]
 o build: add more supported attributes to the IAR compiler [46]
 o build: fix llvm 16 or older + Xcode 15 or newer, and gcc [240]
 o build: fix llvm 17 and older + macOS SDK 14.4 and newer [230]
 o build: sync warning options between autotools, cmake & compilers [244]
 o build: tidy up `__builtin_available` feature checks (Apple) [241]
 o build: untangle `CURLDEBUG` and `DEBUGBUILD` macros [9]
 o build: use `#error` instead of invalid syntax [212]
 o cd2nroff: convert two warnings to errors [135]
 o cd2nroff: use an empty "##" to signal end of .IP sequence [56]
 o cf-socket: improve SO_SNDBUF update for Winsock [27]
 o cf-socket: optimize curlx_nonblock() and check its return error [151]
 o cf-socket: remove obsolete recvbuf [203]
 o cf-socket: remove two "useless" assignments [238]
 o cfilters: make Curl_conn_connect always assign 'done' [60]
 o cmake: add CURL_USE_GSASL option with detection + CI test [133]
 o cmake: allow `ENABLE_CURLDEBUG=OFF` with `ENABLE_DEBUG=ON` [26]
 o cmake: allow SOVERSION override with `CURL_LIBCURL_SOVERSION` [120]
 o cmake: alpha-sort feature list [161]
 o cmake: always build unit tests with the `testdeps` target [20]
 o cmake: bring `curl-config.cmake` closer to `FindCURL` [130]
 o cmake: create `configurehelp.pm` like autotools does [252]
 o cmake: delete unused `HAVE_LIBSSH2`, `HAVE_LIBSOCKET` macros [251]
 o cmake: detect `libidn2` also via `pkg-config` [239]
 o cmake: enable SOVERSION for Cygwin and `CMAKE_DLL_NAME_WITH_SOVERSION` [119]
 o cmake: fix `-Wredundant-decls` in unity/mingw-w64 builds [15]
 o cmake: fix brotli lib order [3]
 o cmake: fix building `unit1600` due to missing `ssl/openssl.h` [222]
 o cmake: fix building in unity mode [4]
 o cmake: fix building with both md4 and md5 in unity mode [13]
 o cmake: fix builds with detected libidn2 lib but undetected header [221]
 o cmake: fix feature and protocol lists for SecureTransport [194]
 o cmake: fix quotes when appending multiple options (SecureTransport) [139]
 o cmake: fix test 1013 with websockets enabled and no TLS [47]
 o cmake: improve wolfSSL detection [190]
 o cmake: show protocols, then features [180]
 o cmake: stop setting SOVERSION for the static lib target [127]
 o cmake: sync CA bundle/path detection with autotools [253]
 o cmake: sync protocol/feature list with `curl -V` output [182]
 o cmake: use `APPLE` instead of `CMAKE_SYSTEM_NAME` string [24]
 o cmake: whitespace, formatting/tidy-up in comments [25]
 o cmdline-docs: "added in" cleanups [171]
 o cmdline-docs: fix `--proxy-ca-native` example + tidy-ups [181]
 o cmdline-opts/_PROTOCOLS.md: mention WS(S) [94]
 o cmdline-opts/ech.md: shorten the help text [93]
 o cmdline-opts/fail.md: expand and clarify [95]
 o cmdline-opts/interface.md: expand the documentation [66]
 o cmdline-opts: category cleanup [196]
 o cmdline-opts: expand the parallel explanations [98]
 o cmdline-opts: shorten six help texts [178]
 o cmdline: expand proxy option explanations [97]
 o code: language cleanup in comments [186]
 o configure: CA bundle/path detection fixes [254]
 o configure: fix `SystemConfiguration` detection [243]
 o configure: fix pkg-config library name 'libnghttp3' [138]
 o configure: fix pkg-config names (zstd, ngtcp2*) [170]
 o configure: limit `SystemConfiguration` test to non-c-ares, IPv6 builds [242]
 o configure: remove 'deeper' checks for `AC_CHECK_FUNCS` [23]
 o configure: require a QUIC library if nghttp3 is used [142]
 o configure: sort feature list, lowercase protocols, use backticks [206]
 o configure: use `$EGREP` in place of `grep -E` [41]
 o configure: use AC_MSG_WARN for TLS/experimental warning texts [122]
 o connect-to.md: expand with examples [147]
 o connection: shutdown TLS (for FTP) better [104]
 o cookie-jar.md: see also --junk-session-cookies [144]
 o curl-config: revert to backticks to support old target envs [88]
 o curl: allow etag and content-disposition for 3xx reply [117]
 o curl: bsearch the --write-out variable name [102]
 o curl: check for --disable case *sensitively* [199]
 o curl: list categories in --help [219]
 o curl: make warnings and other messages aware of terminal width [58]
 o curl: output "flying saucers" with leading carriage return [121]
 o curl_easy_escape: elaborate a little on encoding a URL [193]
 o curl_mprintf.md: add missing comma
 o curl_multi_poll.md: expand the example with an custom file descriptor [21]
 o curl_str[n]equal.md: tidy up text to make them stand-alone [195]
 o curl_url_set.md: libcurl only parses :// URLs [48]
 o curl_url_set: elaborate on scheme guessing [191]
 o curldown: make 'added-in:' a mandatory header field [226]
 o CURLOPT_CONNECTTIMEOUT*: clarify, document the milliseond version [105]
 o CURLOPT_ECH.md: remove repeated 'if' [109]
 o CURLOPT_NETRC.md: clarify what it does on Windows [140]
 o CURLOPT_RESOLVE.md: mention hostname can be wildcard ('*') [150]
 o CURLOPT_SSL_VERIFYHOST.md: refresh [224]
 o CURLOPT_TLSAUTH_PASSWORD/USERNAME.md: language fixups [155]
 o DISTROS: add a link to the list archive [22]
 o DISTROS: add AlmaLinux package source link
 o DISTROS: add MSYS2 (native) links [100]
 o docs/cmdline-opts: fix mail-auth example TLD typo [35]
 o docs/cmdline-opts: remove two superfluous "Added in" mentions [143]
 o docs/libcurl: polish the single-line descriptions [159]
 o docs/Makefile.am: make curl-config.1 install [14]
 o docs: reference non deprecated libcurl options [113]
 o docs: start markdown headers with capital letter where applicable [236]
 o doh-insecure.md: expand [96]
 o doh: fix cleanup [228]
 o doh: fix leak and zero-length HTTPS RR crash [227]
 o dump-header.md: mention minus for stdout [149]
 o examples/threaded-ssl: remove locking callback code [83]
 o examples: add missing binaries to .gitignore [106]
 o examples: delete unused includes [10]
 o examples: fix compiling with MSVC [34]
 o examples: suppress deprecation warnings locally [211]
 o FEATURES.md: refresh [208]
 o file: separate fake headers and body with a stand-alone CRLF [137]
 o ftp: remove redundant null pointer check in loop condition [256]
 o get.d: clarify the explanation [32]
 o GHA/windows: add MSVC wolfSSL job with test [250]
 o GHA/windows: ignore FTP test results for old-mingw-w64
 o GHA: add MSVC UWP job, expand jobs with more options [216]
 o GHA: detect and warn for more English contractions [123]
 o GHA: disable MQTT and WebSocket tests in Windows jobs [63]
 o GHA: disable TFTP tests in Windows jobs
 o GHA: enable tests 1139, 1177, 1477 on Windows [59]
 o GHA: improve vcpkg cache, add BoringSSL ECH and LibreSSL MSVC jobs [215]
 o GHA: unify http3 workflows into one [77]
 o GHA: use vcpkg to install packages for MSVC jobs [145]
 o GIT-INFO.md: remove version requirements [209]
 o gnutls: improve TLS shutdown [62]
 o gnutls: pass in SNI name, not hostname when checking cert [114]
 o help: add flags to output and ssh categories [202]
 o hostip: skip error check for infallible function call [237]
 o http/3: add shutdown support [154]
 o http/3: resume upload on ack if we have more data to send [232]
 o http: remove "struct HTTP" [134]
 o http: write last header line late [44]
 o idn: fix ß with AppleIDN [220]
 o idn: make macidn fail before trying conversion if name too long [235]
 o idn: tweak buffer use when converting with macidn [245]
 o lib/v*: tidy up types and casts [64]
 o lib: add a few DEBUGASSERT(data) to aid code analyzers [187]
 o lib: add failure reason on bind errors [247]
 o lib: fix gcc warning in certain debug builds [19]
 o lib: fix thread entry point to return `DWORD` on WinCE [85]
 o lib: graceful connection shutdown [162]
 o lib: prefer `var = time(NULL)` over `time(&var)` [52]
 o lib: tidy up types and casts [92]
 o lib: xfer_setup and non-blocking shutdown [111]
 o libcurl-docs: make option lists alpha-sorted [214]
 o libcurl-easy.md: now *more* than 300 options [233]
 o libcurl.pc: add `Requires.private`, `Requires` for static linking [129]
 o libcurl.pc: add more `Requires.private`/`Requires` dependencies [189]
 o libssh: remove CURLOPT_SSL_VERIFYHOST check [36]
 o macos: add workaround for gcc, non-c-ares, IPv6, compile error [213]
 o macos: undo `availability` macro enabled by Homebrew gcc [231]
 o managen: "added in" fixes [131]
 o managen: cleanups to generate nicer-looking output [141]
 o managen: error on trailing blank lines in input files [165]
 o managen: fix removing backticks from subtitles [179]
 o managen: insert final .fi for files ending with a quote [174]
 o managen: introduce "Multi: per-URL" [176]
 o managen: only output .RE for manpage output [156]
 o managen: output tabs for each 8 leading spaces [164]
 o managen: warn on excessively long help texts [87]
 o MANUAL.md: wrap two example urls that overrun styling [234]
 o mbedtls: check version before getting tls version [261]
 o mbedtls: check version for cipher id [12]
 o mbedtls: correct the error message for cert blob parsing failure [225]
 o mbedtls: send close-notify on close [11]
 o mbedtls: v3.6.0 workarounds [89]
 o md4: fix compilation with OpenSSL 1.x with md4 disabled [255]
 o misc: fix typos [108]
 o mk-ca-bundle.pl: delay 'curl -V' execution until it is needed [168]
 o multi: add multi->proto_hash, a key-value store for protocol data [37]
 o multi: do a final progress update on connect failure [248]
 o multi: fix multi_wait() timeout handling [51]
 o multi: fix pollset during RESOLVING phase [166]
 o multi: multi_getsock(), check correct socket [167]
 o ngtcp2+quictls: fix cert-status use [173]
 o noproxy: test bad ipv6 net size first [82]
 o openssl/gnutls: rectify the TLS version checks for QUIC [61]
 o openssl: fix %-specifier in infof() call [57]
 o openssl: fix hostname handling when using ECH [78]
 o openssl: stop duplicate ssl key logging for legacy OpenSSL [49]
 o os400: make it compilable again [128]
 o pytest: add ftp upload tests [16]
 o pytest: include testenv/vsftpd.py in dist tarball [99]
 o quic: enable UDP GRO [157]
 o quic: openssl quic, cmake and doc version update to 3.3.0 [148]
 o quic: require at least OpenSSL 3.3 for QUIC [158]
 o quic: update to quiche 0.22.0 [175]
 o quiche: fix operand of ‘?:’ changes signedness [177]
 o request.md: language fix [70]
 o request: change the struct field bodywrites to a bool, only for hyper [132]
 o reuse: switch to REUSE 3.2 and REUSE.toml [184]
 o runtests: show name and keywords for failed tests in summary [249]
 o runtests: sort test IDs in summary lines [33]
 o runtests: support %DATE for YYYY-MM-DD of right now
 o runtests: support %VERNUM
 o runtests: support crlf="yes" for the <stderr> section
 o sectransp: fix `HAVE_BUILTIN_AVAILABLE` checks to not emit warnings [210]
 o sectransp: fix clang compiler warnings, stop silencing them [223]
 o sectransp: remove large cipher table [76]
 o sectransp: use common code for cipher suite lookup [54]
 o sendf: fix CRLF conversion of input [258]
 o smtp: for starttls, do full upgrade [260]
 o socket: change TCP keepalive from ms to seconds on DragonFly BSD [74]
 o socket: use SOCK_NONBLOCK to eliminate extra system call [86]
 o socketpair: add `eventfd` and use `SOCK_NONBLOCK` for `socketpair()` [81]
 o src/Makefile.am: remove SUBDIRS assignment [172]
 o system_win32: add missing curl.h include [160]
 o tcpkeepalive: support TCP keep-alive parameters on Solaris <11.4 [91]
 o test1119: adapt for `.md` input [204]
 o test1139: scan .md files instead of .3 ones [197]
 o test1175: scan libcurl-errors.md, not the generated .3 version [188]
 o test1486: verify that write-out.md and tool_writeout.c are in sync [112]
 o test2600: disable on win32 [259]
 o test: add test1484, for HEAD with content [18]
 o test: add test1546, chunked not last transfer encoding [17]
 o tests/scripts: call it 'manpage' (single word) [229]
 o tests: add pytest for --ciphers and --tls13-ciphers options [38]
 o tests: delete `CharConv` remains [201]
 o tests: delete redundant `!MSDOS` guard [84]
 o tests: extend user/password parsing test1620 [40]
 o tests: fix sshd IdentityFile path for MinGW/Cygwin [217]
 o tests: fix sshd UserKnownHostsFile path for MinGW/Cygwin
 o tests: include current directory when running test Perl commands [205]
 o tests: log "Throwing away" messages before throwing away
 o tests: run with "--trace-config all" to provide even more info [6]
 o tests: sync feature names with `curl -V` [257]
 o tests: test_17_ssl_use.py clarify mbedTLS TLSv1.3 support [43]
 o tests: use exec when spawning nghttpx [45]
 o tidy-up: use consistent casing for Windows directories [28]
 o TODO: remove some old, clarify, add something [31]
 o tool_cb_hdr: return error for failed header writes [30]
 o tool_operate: avoid explicitly setting verifypeer to 1 [39]
 o tool_operate: simplify return code handling from url_proto() [198]
 o tool_writeout: get certinfo only when needing it [101]
 o trace-ascii.md: mention "%" for stderr [146]
 o transfer: avoid polling socket every transfer loop [200]
 o transfer: conn close on paused upload [8]
 o transfer: do not use EXPIRE_NOW while blocked [124]
 o transfer: remove curl_upload_refill_watermark, no longer used [50]
 o transfer: set CSELECT_IN if there is data pending [118]
 o unit2604: use 'unitfail' instead of 'error' variable [153]
 o url: allow DoH transfers to override max connection limit [68]
 o urlapi: remove unused definition of HOST_BAD [262]
 o variable.md: make example use expand [207]
 o verify-synopsis.pl: work with .md files [185]
 o vms: fixed language in comment [110]
 o vtls: deprioritize Secure Transport [71]
 o vtls: replace addsessionid with set_sessionid [183]
 o winbuild: fix PE version info debug flag [1]
 o winbuild: MS-DOS batch tidy-ups [163]
 o winbuild: remove outdated WIN32 defines [5]
 o windows: fix UWP builds, add GHA job [79]
 o winsock: move SO_SNDBUF update into cf-socket [53]
 o wolfssl: assume key_file equal to clientcert if no key_file [169]
 o wolfssl: use larger error buffer when formatting errors [246]
 o x509asn1: add some common ECDSA OIDs [67]
 o x509asn1: ASN1tostr() should fail when 'constructed' is set [125]
 o x509asn1: fallback to dotted OID representation [69]
 o x509asn1: make Curl_extract_certinfo store error message [136]
 o x509asn1: prevent NULL dereference [152]
 o x509asn1: remove superfluous free()
 o x509asn1: remove two static variables [126]

This release includes the following known bugs:

 o see docs/KNOWN_BUGS (https://curl.se/docs/knownbugs.html)

Planned upcoming removals include:

 o support for space-separated NOPROXY patterns

 See https://curl.se/dev/deprecate.html for details

This release would not have looked like this without help, code, reports and
advice from friends like these:

  Alejandro R. Sedeño, alervd on github, Alexander Shtuchkin, Alex Snast,
  Andy Pan, Andy Reitz, Aurélien Pierre, Ayesh Karunaratne, Bhanu Prakash,
  Bo Anderson, brian m. carlson, calvin2021y on github, Christian Heusel,
  Christian Schmitz, Chris Webb, CMD, Dan Fandrich, Daniel Gustafsson,
  Daniel Stenberg, dependabot[bot], Dexter Gerig, dogma, Dominik Piątkowski,
  Dorian Craps, edmcln on github, Eli Schwartz, Elliott Balsley,
  fds242 on github, Guilherme Puida, Harry Sintonen, icy17 on github,
  James Abbatiello, Jan Venekamp, Jay Guerette, Jiang Wenjian,
  Jonathan Matthews, Joseph Chen, Junho Choi, Justin Maggard, Kai Pastor,
  kartatz, Keerthi Timmaraju, Lee Li, Luke Hamburg, Marcel Raad, martinevsky,
  Martin Peck, Matthias Gatto, Matthieu Baerts, Matt Jolly, Max Mehl,
  Morgan Willcock, Olivier Bonaventure, Orgad Shaneh, Patrick Monnerat,
  Pavel Pavlov, Philip Heiduck, pszlazak on github, RainRat, Ray Satiro,
  renovate[bot], Ryan Carsten Schmidt, Samuel Chiang,
  saurabhsingh-dev on github, Sebastian Andersson, Sergey Bronnikov,
  Sergey Markelov, Sertonix, Stefan Eissing, Stephen Farrell, Tal Regev,
  Tatsuhiro Tsujikawa, tomy2105 on github, Viktor Szakats,
  vuonganh1993 on github, vvb2060, Yedaya Katsman, z2_, 李四, 罗朝辉
  (80 contributors)

References to bug reports and discussions on issues:

 [1] = https://curl.se/bug/?i=13739
 [2] = https://curl.se/bug/?i=13730
 [3] = https://curl.se/bug/?i=13761
 [4] = https://curl.se/bug/?i=13751
 [5] = https://curl.se/bug/?i=13739
 [6] = https://curl.se/bug/?i=13791
 [7] = https://curl.se/bug/?i=13612
 [8] = https://curl.se/bug/?i=13740
 [9] = https://curl.se/bug/?i=13718
 [10] = https://curl.se/bug/?i=13785
 [11] = https://curl.se/bug/?i=13745
 [12] = https://curl.se/bug/?i=13749
 [13] = https://curl.se/bug/?i=13737
 [14] = https://curl.se/bug/?i=13741
 [15] = https://curl.se/bug/?i=13705
 [16] = https://curl.se/bug/?i=13734
 [17] = https://curl.se/bug/?i=13736
 [18] = https://curl.se/bug/?i=13735
 [19] = https://curl.se/bug/?i=13800
 [20] = https://curl.se/bug/?i=13698
 [21] = https://curl.se/bug/?i=13842
 [22] = https://curl.se/bug/?i=13843
 [23] = https://bugs.gentoo.org/932827
 [24] = https://curl.se/bug/?i=13713
 [25] = https://curl.se/bug/?i=13711
 [26] = https://curl.se/bug/?i=13792
 [27] = https://curl.se/bug/?i=13827
 [28] = https://curl.se/bug/?i=13832
 [29] = https://curl.se/bug/?i=13278
 [30] = https://curl.se/bug/?i=13836
 [31] = https://curl.se/bug/?i=13788
 [32] = https://curl.se/bug/?i=13706
 [33] = https://curl.se/bug/?i=13774
 [34] = https://curl.se/bug/?i=13771
 [35] = https://curl.se/bug/?i=13784
 [36] = https://curl.se/bug/?i=13767
 [37] = https://curl.se/bug/?i=13345
 [38] = https://curl.se/bug/?i=13530
 [39] = https://curl.se/bug/?i=13704
 [40] = https://curl.se/bug/?i=13756
 [41] = https://curl.se/bug/?i=13780
 [42] = https://curl.se/bug/?i=13606
 [43] = https://curl.se/bug/?i=13779
 [44] = https://curl.se/bug/?i=13752
 [45] = https://curl.se/bug/?i=13772
 [46] = https://curl.se/bug/?i=13744
 [47] = https://curl.se/bug/?i=13769
 [48] = https://curl.se/bug/?i=13821
 [49] = https://curl.se/bug/?i=13683
 [50] = https://curl.se/bug/?i=13764
 [51] = https://curl.se/bug/?i=13782
 [52] = https://curl.se/bug/?i=13815
 [53] = https://curl.se/bug/?i=13763
 [54] = https://curl.se/bug/?i=13521
 [55] = https://curl.se/bug/?i=13754
 [56] = https://curl.se/bug/?i=13803
 [57] = https://curl.se/bug/?i=13816
 [58] = https://curl.se/bug/?i=13804
 [59] = https://curl.se/bug/?i=13817
 [60] = https://curl.se/bug/?i=13884
 [61] = https://curl.se/bug/?i=13799
 [62] = https://curl.se/bug/?i=13790
 [63] = https://curl.se/bug/?i=13860
 [64] = https://curl.se/bug/?i=13622
 [65] = https://curl.se/bug/?i=13910
 [66] = https://curl.se/bug/?i=13882
 [67] = https://curl.se/bug/?i=13857
 [68] = https://curl.se/mail/lib-2024-06/0001.html
 [69] = https://curl.se/bug/?i=13845
 [70] = https://curl.se/bug/?i=13854
 [71] = https://curl.se/bug/?i=13547
 [72] = https://curl.se/bug/?i=13616
 [73] = https://curl.se/bug/?i=13786
 [74] = https://curl.se/bug/?i=13847
 [75] = https://curl.se/bug/?i=13789
 [76] = https://curl.se/bug/?i=13823
 [77] = https://curl.se/bug/?i=13841
 [78] = https://curl.se/bug/?i=13818
 [79] = https://curl.se/bug/?i=13870
 [80] = https://curl.se/bug/?i=13719
 [81] = https://curl.se/bug/?i=13874
 [82] = https://curl.se/bug/?i=13902
 [83] = https://curl.se/bug/?i=13851
 [84] = https://curl.se/bug/?i=13878
 [85] = https://curl.se/bug/?i=13877
 [86] = https://curl.se/bug/?i=13855
 [87] = https://curl.se/bug/?i=13895
 [88] = https://curl.se/bug/?i=13871
 [89] = https://curl.se/bug/?i=13653
 [90] = https://curl.se/bug/?i=13795
 [91] = https://curl.se/bug/?i=13864
 [92] = https://curl.se/bug/?i=13862
 [93] = https://curl.se/bug/?i=13894
 [94] = https://curl.se/bug/?i=13891
 [95] = https://curl.se/bug/?i=13890
 [96] = https://curl.se/bug/?i=13889
 [97] = https://curl.se/bug/?i=13887
 [98] = https://curl.se/bug/?i=13886
 [99] = https://curl.se/bug/?i=13918
 [100] = https://curl.se/bug/?i=13915
 [101] = https://curl.se/bug/?i=13914
 [102] = https://curl.se/bug/?i=13914
 [103] = https://curl.se/bug/?i=13885
 [104] = https://curl.se/bug/?i=13904
 [105] = https://curl.se/bug/?i=13905
 [106] = https://curl.se/bug/?i=13952
 [107] = https://curl.se/bug/?i=13907
 [108] = https://curl.se/bug/?i=13923
 [109] = https://curl.se/bug/?i=13922
 [110] = https://curl.se/bug/?i=13921
 [111] = https://curl.se/bug/?i=13913
 [112] = https://curl.se/bug/?i=13920
 [113] = https://curl.se/bug/?i=13951
 [114] = https://curl.se/bug/?i=13428
 [115] = https://github.com/curl/everything-curl/issues/456
 [116] = https://curl.se/bug/?i=13113
 [117] = https://curl.se/bug/?i=13302
 [118] = https://curl.se/bug/?i=13695
 [119] = https://curl.se/bug/?i=13898
 [120] = https://curl.se/bug/?i=13944
 [121] = https://curl.se/bug/?i=14213
 [122] = https://curl.se/bug/?i=13941
 [123] = https://curl.se/bug/?i=13940
 [124] = https://curl.se/bug/?i=13908
 [125] = https://curl.se/bug/?i=13972
 [126] = https://curl.se/bug/?i=13971
 [127] = https://curl.se/bug/?i=13936
 [128] = https://curl.se/bug/?i=13930
 [129] = https://curl.se/bug/?i=864
 [130] = https://curl.se/bug/?i=13897
 [131] = https://curl.se/bug/?i=14002
 [132] = https://curl.se/bug/?i=13928
 [133] = https://curl.se/bug/?i=13948
 [134] = https://curl.se/bug/?i=13927
 [135] = https://curl.se/bug/?i=13929
 [136] = https://curl.se/bug/?i=13959
 [137] = https://curl.se/mail/lib-2024-06/0033.html
 [138] = https://curl.se/bug/?i=13994
 [139] = https://curl.se/bug/?i=13953
 [140] = https://curl.se/bug/?i=13956
 [141] = https://curl.se/bug/?i=14001
 [142] = https://curl.se/bug/?i=13995
 [143] = https://curl.se/bug/?i=14000
 [144] = https://curl.se/bug/?i=13996
 [145] = https://curl.se/bug/?i=13979
 [146] = https://curl.se/bug/?i=13991
 [147] = https://curl.se/bug/?i=13989
 [148] = https://curl.se/bug/?i=14028
 [149] = https://curl.se/bug/?i=13985
 [150] = https://curl.se/bug/?i=13983
 [151] = https://curl.se/bug/?i=13942
 [152] = https://curl.se/bug/?i=13978
 [153] = https://curl.se/bug/?i=13967
 [154] = https://curl.se/bug/?i=14022
 [155] = https://curl.se/bug/?i=14061
 [156] = https://curl.se/bug/?i=14025
 [157] = https://curl.se/bug/?i=14012
 [158] = https://curl.se/bug/?i=14026
 [159] = https://curl.se/bug/?i=14062
 [160] = https://curl.se/bug/?i=14019
 [161] = https://curl.se/bug/?i=14063
 [162] = https://curl.se/bug/?i=13976
 [163] = https://curl.se/bug/?i=14084
 [164] = https://curl.se/bug/?i=14016
 [165] = https://curl.se/bug/?i=14015
 [166] = https://curl.se/bug/?i=14047
 [167] = https://curl.se/bug/?i=13998
 [168] = https://curl.se/bug/?i=14060
 [169] = https://curl.se/bug/?i=14007
 [170] = https://curl.se/bug/?i=14005
 [171] = https://curl.se/bug/?i=14003
 [172] = https://curl.se/bug/?i=14054
 [173] = https://curl.se/bug/?i=14049
 [174] = https://curl.se/bug/?i=14048
 [175] = https://curl.se/bug/?i=14030
 [176] = https://curl.se/bug/?i=14045
 [177] = https://curl.se/bug/?i=14041
 [178] = https://curl.se/bug/?i=14075
 [179] = https://curl.se/bug/?i=14081
 [180] = https://curl.se/bug/?i=14082
 [181] = https://curl.se/bug/?i=14078
 [182] = https://curl.se/bug/?i=14066
 [183] = https://curl.se/bug/?i=14121
 [184] = https://curl.se/bug/?i=14107
 [185] = https://curl.se/bug/?i=14038
 [186] = https://curl.se/bug/?i=14073
 [187] = https://curl.se/bug/?i=14033
 [188] = https://curl.se/bug/?i=14133
 [189] = https://curl.se/bug/?i=14072
 [190] = https://curl.se/bug/?i=14064
 [191] = https://curl.se/bug/?i=14071
 [193] = https://curl.se/bug/?i=14069
 [194] = https://curl.se/bug/?i=13963
 [195] = https://curl.se/bug/?i=14068
 [196] = https://curl.se/bug/?i=14101
 [197] = https://curl.se/bug/?i=14132
 [198] = https://curl.se/bug/?i=14104
 [199] = https://curl.se/bug/?i=14103
 [200] = https://curl.se/bug/?i=14098
 [201] = https://curl.se/bug/?i=14100
 [202] = https://curl.se/bug/?i=14076
 [203] = https://curl.se/bug/?i=14138
 [204] = https://curl.se/bug/?i=14125
 [205] = https://curl.se/bug/?i=14124
 [206] = https://curl.se/bug/?i=14117
 [207] = https://curl.se/bug/?i=14118
 [208] = https://curl.se/bug/?i=14086
 [209] = https://curl.se/bug/?i=14112
 [210] = https://curl.se/bug/?i=14122
 [211] = https://curl.se/bug/?i=14123
 [212] = https://curl.se/bug/?i=14181
 [213] = https://curl.se/bug/?i=14119
 [214] = https://curl.se/bug/?i=14156
 [215] = https://curl.se/bug/?i=14090
 [216] = https://curl.se/bug/?i=14077
 [217] = https://curl.se/bug/?i=14113
 [218] = https://curl.se/bug/?i=14096
 [219] = https://curl.se/bug/?i=14055
 [220] = https://curl.se/bug/?i=14176
 [221] = https://curl.se/bug/?i=14175
 [222] = https://curl.se/bug/?i=14172
 [223] = https://curl.se/bug/?i=14162
 [224] = https://curl.se/bug/?i=14241
 [225] = https://curl.se/bug/?i=14224
 [226] = https://curl.se/bug/?i=14217
 [227] = https://curl.se/bug/?i=14151
 [228] = https://curl.se/bug/?i=14207
 [229] = https://curl.se/bug/?i=14216
 [230] = https://curl.se/bug/?i=14159
 [231] = https://curl.se/bug/?i=13700
 [232] = https://curl.se/bug/?i=14198
 [233] = https://curl.se/bug/?i=14153
 [234] = https://curl.se/bug/?i=14149
 [235] = https://curl.se/bug/?i=14215
 [236] = https://curl.se/bug/?i=14115
 [237] = https://curl.se/bug/?i=14147
 [238] = https://curl.se/bug/?i=14145
 [239] = https://curl.se/bug/?i=14137
 [240] = https://curl.se/bug/?i=14134
 [241] = https://curl.se/bug/?i=14127
 [242] = https://curl.se/bug/?i=14126
 [243] = https://curl.se/bug/?i=14130
 [244] = https://curl.se/bug/?i=14128
 [245] = https://curl.se/bug/?i=14215
 [246] = https://curl.se/bug/?i=14114
 [247] = https://curl.se/bug/?i=14221
 [248] = https://curl.se/bug/?i=14204
 [249] = https://curl.se/bug/?i=14174
 [250] = https://curl.se/bug/?i=14193
 [251] = https://curl.se/bug/?i=14178
 [252] = https://curl.se/bug/?i=14129
 [253] = https://curl.se/bug/?i=14182
 [254] = https://curl.se/bug/?i=14186
 [255] = https://curl.se/bug/?i=14218
 [256] = https://curl.se/bug/?i=14234
 [257] = https://curl.se/bug/?i=14183
 [258] = https://curl.se/bug/?i=14165
 [259] = https://curl.se/bug/?i=14177
 [260] = https://curl.se/bug/?i=14166
 [261] = https://curl.se/bug/?i=14228
 [262] = https://curl.se/bug/?i=14235
